<?
/*
=====================================================
 Volkov NET!! - by SaNcHeS Group 
-----------------------------------------------------
 http://AllForCS.RU/
-----------------------------------------------------
 Copyright (c) 2009 SaNcHeS Group
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Файл: index.php
-----------------------------------------------------
 Назначение: Главная страница админа
=====================================================
*/

include("./../inc/config.php");
include("./passwd.php");
include("./auth.php");
include("./html.php");

echo $HEAD;
echo $JS_POPUP;
echo $STYLE;
echo $BODY;

$form_pass=<<<vivod
<form name="new_pass" action="index.php?event=newpass" method="post">
<table cellpadding="0" cellspacing="0" width="185">
<tr><td height="22"><p><b>Старый пароль:</b></p>
</td><td><p align="right"><input type="password" name="old_pass" maxlength="15" size="13"></p>
</td></tr><tr><td height="22"><p>&nbsp;<b>Новый пароль:</b></p>
</td><td><p align="right"><input type="password" name="new_pass" maxlength="15" size="13"></p>
</td></tr><tr><td height="22"><p>&nbsp;<b>Повторите:</b></p>
</td><td><p align="right"><input type="password" name="re_pass" maxlength="15" size="13"></p>
</td></tr>
<tr><td height="26" colspan="2"><p align="right"><input type="reset" value="Сбросить" name="rezet">&nbsp;<input type="submit" value="Сменить" name="ok"></p></td></tr>
</table></form>
vivod;

$form_add=<<<vivod
<form name="new_adm" action="index.php?event=newadm" method="post">
<table cellpadding="0" cellspacing="0" width="185">
<tr><td height="22"><p><b>Логин:</b></p>
</td><td><p align="right"><input type="text" name="adm_name" maxlength="15" size="13"></p>
</td></tr><tr><td height="22"><p>&nbsp;<b>Пароль:</b></p>
</td><td><p align="right"><input type="password" name="new_pass" maxlength="15" size="13"></p>
</td></tr><tr><td height="22"><p>&nbsp;<b>Повторите:</b></p>
</td><td><p align="right"><input type="password" name="re_pass" maxlength="15" size="13"></p>
</td></tr>
<tr><td height="26" colspan="2"><p align="right"><input type="reset" value="Сбросить" name="rezet">&nbsp;<input type="submit" value="Добавить" name="ok"></p></td></tr>
</table></form>
vivod;


$form_del="<form name='del_adm' action='index.php?event=del' method='post'>
<table cellpadding='0' cellspacing='0' width='185'>
<tr><td height='22'><p><b>Логин:</b>&nbsp; <select name='adm_name'>";
$this_f = "./passwd.php";
$record = file($this_f);
$jmlrec = count($record);
for ($i = 0; $i < $jmlrec; $i++ ){
if (strstr($record[$i],"=>")){
list($uname) = explode(" =>",$record[$i]);
$uname=str_replace("\"","",$uname);
$form_del.="<option selected value='".$uname."'>".$uname."</option>\n";
}}
$form_del.="</select></p></tr>
<tr><td height='26'><p align='left'><input type='reset' value='Сбросить' name='rezet'>&nbsp;<input type='submit' value='Удалить' name='ok'></p></td></tr>
</table></form>";

if ($_GET['event'] == 'newadm'){

if ($_POST['ok']){
       if ($_POST['adm_name'] == ""){$error.="<font color=#DE1212>Не введен логин нового администратора!</font><br>";}
       if ($_POST['new_pass'] != $_POST['re_pass']){$error.="<font color=#DE1212>Повторный пароль не совпадает!</font><br>";}
       $filename="./passwd.php";$fd=fopen($filename,'r');$contents=fread($fd,filesize($filename));fclose($fd);
       if (strstr($contents,"\"".$_POST['adm_name']."\"")){$error.="<font color=#DE1212>Администратор уже существует!</font><br>";}
       if (isset($error)){echo $error;echo "<br>".$form_add;}else
                       {
                        $Search = "// End";
                        $Replace = '"'.$_POST['adm_name'].'" => "'.md5($_POST['new_pass']).'",
// End';    $contents = str_replace($Search,$Replace,$contents);

                        $fd = fopen ($filename, 'w');
                        fwrite ($fd, $contents);
                        fclose ($fd);
                        @$sql = @mysql_query("INSERT INTO `m3_users` (login, passwd, mail, access, mail_chk) VALUES ('".$_POST['adm_name']."','".md5($_POST['new_pass'])."', 'nomail', '2', '1');") or die (mysql_error());
						@mysql_free_result($sql);
                        echo "<font color=#00A61D>Новый администратор успешно добавлен!</font>";
                       }
        }else{echo $form_add;}
}


if ($_GET['event'] == 'del'){

if ($_POST['ok']){
       if ($_POST['adm_name'] == "" or (safe_login($_POST['adm_name'])==0)){$error.="<font color=#DE1212>Не введен логин администратора для удаления!</font><br>";}
        $filename = "./passwd.php";
                        $fd = fopen ($filename, 'r');
                        $contents = fread ($fd, filesize ($filename));
                        fclose ($fd);
           				if (!strstr($contents,"\"".$_POST['adm_name']."\"")){$error.="<font color=#DE1212>Администратор не найден в списке!</font><br>";}
                        if (isset($error)){echo $error;echo "<br>".$form_del;}else
                       {


                 $this_f = "./passwd.php";
                             $record = file($this_f);
                             $jmlrec = count($record);

                 $contents="";
                                    for ($i = 0; $i < $jmlrec; $i++ ) {
                 if (!strstr($record[$i],$_POST['adm_name'])){
                 $contents.=$record[$i];
                 }
                 }

                        $fd = fopen ($filename, 'w');
                        fwrite ($fd, $contents);
                        fclose ($fd);
                        @$sql = @mysql_query("DELETE FROM `m3_users` WHERE `login` = '".$_POST['adm_name']."';") or die (mysql_error());
						@mysql_free_result($sql);
                        echo "<font color=#00A61D>Администратор успешно удален!</font>";
                       }
        }else{echo $form_del;}
}

if ($_GET['event'] == 'newpass'){
        if ($_POST['ok']){
       if ($_POST['new_pass'] == ""){$error.="<font color=#DE1212>Незаполнен новый пароль!</font><br>";}
       if (md5($_POST['old_pass']) != $password){$error.="<font color=#DE1212>Неверный старый пароль!</font><br>";}
       if ($_POST['new_pass'] != $_POST['re_pass']){$error.="<font color=#DE1212>Повторный пароль не совпадает!</font><br>";}
       if (isset($error)){echo $error;echo "<br>".$form_pass;}else
                       {
            $filename = "./passwd.php";
                        $fd = fopen ($filename, 'r');
                        $contents = fread ($fd, filesize ($filename));
                        fclose ($fd);

                        $Search = '"'.$username.'" => "'.$password.'"';
                        $Replace = '"'.$username.'" => "'.md5($_POST['new_pass']).'"';
                        $contents = str_replace($Search,$Replace,$contents);
                        $fd = fopen ($filename, 'w');
                        fwrite ($fd, $contents);
                        fclose ($fd);
                        echo "<font color=#00A61D>Пароль успешно изменен!</font>";
                       }
        }else{echo $form_pass;}
}


if ($_GET['event'] == 'adm'){
print <<<vivod
<a href="index.php?event=newadm">Добавить администратора</a><br>
<a href="index.php?event=del">Удалить администратора</a><br>
<a href="index.php?event=newpass">Сменить пароль</a><br>
vivod;
}

if (!$_GET['event']){
print <<<vivod
&nbsp; &nbsp;<b><font color=green><font size=2>Добро пожаловать в Admin Panel</b></font></font><br><br> Здесь вы сможете: <br><br>
&nbsp; <b>• Добавлять/Удалять администраторов и модераторов</b><br>
&nbsp; <b>• Назначать права доступа для пользователей</b><br>
&nbsp; <b>• Менять свой пароль.</b><br>
&nbsp; <b>• Просматривать пользователей и всю информацию о них.</b><br>
&nbsp; <b>• Банить пользователей и блокировать IP адреса.</b><br>
&nbsp; <b>• Редактировать/Модерировать загруженную музыку.</b><br>
&nbsp; <b>• Редактировать/Удалять сообщения гостевой книги.</b><br>
&nbsp; <b>• Редактировать/Удалять комментарии.</b><br>
&nbsp; <b>• Добавлять/Редактировать голосования.</b><br>
&nbsp; <b>• Писать/Смотреть личные сообщения.</b><br>
&nbsp; <b>• Генерировать .shtml страницы и блоки.</b><br>
vivod;
}



echo $FOOT;
@mysql_free_result();
@mysql_close();
?>